Summary:	KDE notes application
Name:		knotes
Version:	17.12.3
Release:	1
Epoch:		3
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	xsltproc
BuildRequires:	boost-devel
BuildRequires:	grantlee-qt5-devel
BuildRequires:	kf5akonadi-devel
BuildRequires:	kf5akonadimime-devel
BuildRequires:	kf5akonadinotes-devel
BuildRequires:	kf5akonadisearch-devel
BuildRequires:	kf5calendarutils-devel
BuildRequires:	kf5completion-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5dnssd-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5globalaccel-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5itemmodels-devel
BuildRequires:	kf5itemviews-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5kontactinterface-devel
BuildRequires:	kf5libkdepim-devel
BuildRequires:	kf5mime-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5notifyconfig-devel
BuildRequires:	kf5parts-devel
BuildRequires:	kf5pimcommon-devel
BuildRequires:	kf5pimtextedit-devel
BuildRequires:	kf5textwidgets-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	sasl-devel
BuildRequires:	pkgconfig(libical)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(x11)
Requires:	akonadi-notes-agent
Requires:	plasma5-kdepim-runtime
Conflicts:	kde5-l10n < 17.04

%description
KNotes aims to be a useful and full featured notes application for
the KDE project. It tries to be as fast and lightweight as possible
although including some advanced features.

%files -f %{name}.lang
%{_kde5_applicationsdir}/org.kde.knotes.desktop
%{_kde5_bindir}/knotes
%{_kde5_datadir}/config.kcfg/knotesglobalconfig.kcfg
%{_kde5_datadir}/config.kcfg/notesagentsettings.kcfg
%{_kde5_datadir}/kconf_update/knotes*
%dir %{_kde5_datadir}/knotes/
%{_kde5_datadir}/knotes/*
%{_kde5_datadir}/kontact/ksettingsdialog/knotes.setdlg
%{_kde5_iconsdir}/hicolor/*/actions/knotes_*.*
%{_kde5_iconsdir}/hicolor/*/apps/knotes.*
%{_kde5_services}/kcmknotessummary.desktop
%{_kde5_services}/knote_*.desktop
%{_kde5_services}/kontact/knotesplugin.desktop
%{_kde5_sysconfdir}/xdg/knotes.categories
%{_kde5_sysconfdir}/xdg/knotes.renamecategories
%{_kde5_sysconfdir}/xdg/knotes_printing_theme.knsrc
%{_kde5_xmlguidir}/knotes/*.rc
%{_appdatadir}/org.kde.knotes.appdata.xml
%{_datadir}/dbus-1/interfaces/org.kde.KNotes.xml
%{_datadir}/dbus-1/interfaces/org.kde.kontact.KNotes.xml
%{_qt5_plugindir}/kcm_knote.so
%{_qt5_plugindir}/kcm_knotessummary.so
%{_qt5_plugindir}/kontact_knotesplugin.so

#-----------------------------------------------------------------------------

%package -n akonadi-notes-agent
Summary:	Akonadi notes agent
Group:		Graphical desktop/KDE
Requires:	knotes
Conflicts:	kde5-l10n < 17.04

%description -n akonadi-notes-agent
Akonadi notes agent. It adds notes received via network and handles note
alarm notifications.

%files -n akonadi-notes-agent -f akonadi_notes_agent.lang
%{_kde5_bindir}/akonadi_notes_agent
%{_kde5_datadir}/akonadi/agents/notesagent.desktop
%{_kde5_notificationsdir}/akonadi_notes_agent.notifyrc

#----------------------------------------------------------------------------

%define knotesprivate_major 5
%define libknotesprivate %mklibname knotesprivate %{knotesprivate_major}

%package -n %{libknotesprivate}
Summary:	KDE PIM shared library
Group:		System/Libraries

%description -n %{libknotesprivate}
KDE PIM shared library.

%files -n %{libknotesprivate}
%{_kde5_libdir}/libknotesprivate.so.%{knotesprivate_major}*

#----------------------------------------------------------------------------

%define notesharedprivate_major 5
%define libnotesharedprivate %mklibname notesharedprivate %{notesharedprivate_major}

%package -n %{libnotesharedprivate}
Summary:	KDE PIM shared library
Group:		System/Libraries

%description -n %{libnotesharedprivate}
KDE PIM shared library.

%files -n %{libnotesharedprivate}
%{_kde5_libdir}/libnotesharedprivate.so.%{notesharedprivate_major}*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{name} libnoteshared %{name}.lang --with-kde --with-html
%kf5locales_fix %{name}.lang

%find_lang akonadi_notes_agent --with-kde --with-html
%kf5locales_fix akonadi_notes_agent.lang


%changelog

* Thu Mar 22 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:17.12.3-1
- (d2dc3d4) Build requires kf5kdelibs4support-devel


